GET
/data_syncer/connection/{Connection_Id}/jobs/
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/data_syncer/connection/{Connection_Id}/jobs/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/gpu/data_syncer/connection/{Connection_Id}/jobs/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/data_syncer/connection/{Connection_Id}/jobs/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Connection_Id
required
integer
Connection Id
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
page_no
integer
The page number from which you want your page search results to be displayed.
per_page
integer
Number of results per page
Responses
Section titled “Responses”A list of failed jobs
Media typeapplication/json
object
code
integer
message
string
total_page_number
integer
total_count
integer
data
Array<object>
object
id
integer
status
string
created_at
string format: date-time
updated_at
string format: date-time
streamAggregatedStats
Array<object>
object
errors
object
Example
{ "code": 200, "message": "Success", "total_page_number": 1, "total_count": 2, "data": [ { "id": 193, "status": "failed", "created_at": "2025-02-21T05:24:24Z", "updated_at": "2025-02-21T05:24:47Z" } ], "errors": {}}